compressPDF {R.utils} | R Documentation

## Compresses a PDF (into a new PDF)

### Description

Compresses a PDF (into a new PDF).

### Usage

    ## Default S3 method:
    compressPDF(filename, path=NULL, outFilename=basename(pathname),
      outPath="compressedPDFs", skip=FALSE, overwrite=FALSE, compression="gs(ebook)+qpdf",
      ...)

### Arguments

`filename, path` | The filename and (optional) path of the PDF to be compressed.
`outFilename, outPath` | The generated PDF.
`skip` | If `TRUE` and an existing output file, then it is returned.
`overwrite` | If `FALSE`, an error is thrown if the output file already exists, otherwise not.
`compression` | A `character` `vector` of compression methods to apply. This overrides any low-level arguments passed via `...` that `compactPDF`.
`...` | Additional arguments passed to `compactPDF`, e.g. `gs_quality`.

### Value

Returns the pathname of the generated PDF.

### Author(s)

Henrik Bengtsson

### See Also

Internally `compactPDF` is utilized.

### Examples

    ## Not run:
      pathnameZ <- compressPDF("report.pdf")

    ## End(Not run)

[Package R.utils version 2.6.0 Index]